net.minecraft.block

## Class BlockEventData

- java.lang.Object
- - net.minecraft.block.BlockEventData

-     public class BlockEventData
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockEventData(int par1, int par2, int par3, int par4, int par5, int par6)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object par1Obj)`
    `int` | `getBlockID()` Gets the BlockID for this BlockEventData
    `int` | `getEventID()` Get the Event ID (different for each BlockID)
    `int` | `getEventParameter()` Get the Event Parameter (different for each BlockID,EventID)
    `int` | `getX()` Get the X coordinate.
    `int` | `getY()` Get the Y coordinate.
    `int` | `getZ()` Get the Z coordinate.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockEventData

          public BlockEventData(int par1,
                        int par2,
                        int par3,
                        int par4,
                        int par5,
                        int par6)

  - ### Method Detail

    - #### getX

          public int getX()

      Get the X coordinate.

    - #### getY

          public int getY()

      Get the Y coordinate.

    - #### getZ

          public int getZ()

      Get the Z coordinate.

    - #### getEventID

          public int getEventID()

      Get the Event ID (different for each BlockID)

    - #### getEventParameter

          public int getEventParameter()

      Get the Event Parameter (different for each BlockID,EventID)

    - #### getBlockID

          public int getBlockID()

      Gets the BlockID for this BlockEventData

    - #### equals

          public boolean equals(Object par1Obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`